//Copyright (C) Ben Parbury - All Rights Reserved. Unauthorized copying of this file, via any medium is strictly prohibited. Written by Ben Parbury <ben@gridlockinteractive.com> 2014
function BaseHub()
{
	this.hubDef = new HubDefinition();
	this.textWidth = 0;
	
	this.Load = function()
	{
		this.hubDef.SetPlayerLocationByPreviousLevel();
	}
	
	this.Unload = function()
	{

	}
	
	this.GetFontSize = function()
	{
		return 26;
	}
	
	this.GetTextX = function()
	{
		return kTileSize * 0.1;
	}
	
	this.GetTextY = function()
	{
		return this.GetFontSize();
	}
	
	this.Update = function()
	{
		this.hubDef.Update();
	}
	
	this.DrawClear = function()
	{
		this.hubDef.DrawClear();
	}
	
	this.Draw = function()
	{
		this.hubDef.Draw();
	}
		
	this.Redraw = function()
	{
		this.hubDef.Redraw();
	}

	this.StartTransition = function()
	{
		this.hubDef.StartTransition();
	}

	this.DrawTransition = function(fraction)
	{
		this.hubDef.DrawTransition(fraction);
	}
	
	this.Debug = function()
	{
	}
}

